aboutsummaryrefslogtreecommitdiffstats
path: root/cmake
diff options
context:
space:
mode:
Diffstat (limited to 'cmake')
-rw-r--r--cmake/ChangeLog32
-rw-r--r--cmake/Toolchain_clang.cmake19
-rw-r--r--cmake/Toolchain_generic.cmake21
-rw-r--r--cmake/Toolchain_mingw32.cmake23
-rw-r--r--cmake/Toolchain_s390.cmake20
-rw-r--r--cmake/auk.icobin5190 -> 0 bytes
-rwxr-xr-xcmake/basictest553
-rwxr-xr-xcmake/configure58
-rw-r--r--cmake/configure.cmake309
-rwxr-xr-xcmake/docmaker100
-rw-r--r--cmake/package.cmake71
11 files changed, 0 insertions, 1206 deletions
diff --git a/cmake/ChangeLog b/cmake/ChangeLog
deleted file mode 100644
index fb2691b6..00000000
--- a/cmake/ChangeLog
+++ /dev/null
@@ -1,32 +0,0 @@
-2020-04-14 Arnold D. Robbins <arnold@skeeve.com>
-
- * 5.1.0: Release tar ball made.
-
-2019-06-18 Arnold D. Robbins <arnold@skeeve.com>
-
- * 5.0.1: Release tar ball made.
-
-2019-04-12 Arnold D. Robbins <arnold@skeeve.com>
-
- * 5.0.0: Release tar ball made.
-
-2018-02-25 Arnold D. Robbins <arnold@skeeve.com>
-
- * 4.2.1: Release tar ball made.
-
-2017-10-19 Arnold D. Robbins <arnold@skeeve.com>
-
- * 4.2.0: Release tar ball made.
-
-2016-12-27 Juergen Kahrs <Juergen.Kahrs@googlemail.com>
-
- * configure.cmake: Include po directory.
-
-2014-08-12 Juergen Kahrs <jkahrs@users.sourceforge.net>
-
- (Date is approximate).
-
- * Toolchain_clang.cmake, Toolchain_generic.cmake,
- Toolchain_mingw32.cmake, Toolchain_s390.cmake,
- auk.ico, basictest, configure, configure.cmake,
- docmaker, package.cmake: New files.
diff --git a/cmake/Toolchain_clang.cmake b/cmake/Toolchain_clang.cmake
deleted file mode 100644
index 89353570..00000000
--- a/cmake/Toolchain_clang.cmake
+++ /dev/null
@@ -1,19 +0,0 @@
-# http://www.cmake.org/Wiki/CmakeMingw
-# http://www.cmake.org/Wiki/CMake_Cross_Compiling#The_toolchain_file
-
-# the name of the target operating system
-SET(CMAKE_SYSTEM_NAME Generic)
-
-# which compilers to use for C and C++
-SET(CMAKE_C_COMPILER /usr/bin/clang)
-
-# here is the target environment located
-SET(CMAKE_FIND_ROOT_PATH /usr/lib64/clang/3.1)
-
-# adjust the default behaviour of the FIND_XXX() commands:
-# search headers and libraries in the target environment, search
-# programs in the host environment
-set(CMAKE_FIND_ROOT_PATH_MODE_PROGRAM NEVER)
-set(CMAKE_FIND_ROOT_PATH_MODE_LIBRARY ONLY)
-set(CMAKE_FIND_ROOT_PATH_MODE_INCLUDE ONLY)
-
diff --git a/cmake/Toolchain_generic.cmake b/cmake/Toolchain_generic.cmake
deleted file mode 100644
index 91ddc6e7..00000000
--- a/cmake/Toolchain_generic.cmake
+++ /dev/null
@@ -1,21 +0,0 @@
-# http://www.cmake.org/Wiki/CmakeMingw
-# http://www.cmake.org/Wiki/CMake_Cross_Compiling#The_toolchain_file
-
-# the name of the target operating system
-SET(CMAKE_SYSTEM_NAME Generic)
-
-# which compilers to use for C and C++
-# Settings for Ubuntu 12.04.1 LTS
-SET(CMAKE_C_COMPILER /usr/bin/gcc)
-
-# here is the target environment located
-# Settings for Ubuntu 12.04.1 LTS
-SET(CMAKE_FIND_ROOT_PATH /usr/)
-
-# adjust the default behaviour of the FIND_XXX() commands:
-# search headers and libraries in the target environment, search
-# programs in the host environment
-set(CMAKE_FIND_ROOT_PATH_MODE_PROGRAM NEVER)
-set(CMAKE_FIND_ROOT_PATH_MODE_LIBRARY ONLY)
-set(CMAKE_FIND_ROOT_PATH_MODE_INCLUDE ONLY)
-
diff --git a/cmake/Toolchain_mingw32.cmake b/cmake/Toolchain_mingw32.cmake
deleted file mode 100644
index bb885f2f..00000000
--- a/cmake/Toolchain_mingw32.cmake
+++ /dev/null
@@ -1,23 +0,0 @@
-# http://www.cmake.org/Wiki/CmakeMingw
-# http://www.cmake.org/Wiki/CMake_Cross_Compiling#The_toolchain_file
-
-# the name of the target operating system
-SET(CMAKE_SYSTEM_NAME Windows)
-
-# which compilers to use for C and C++
-# Settings for Ubuntu 12.04.1 LTS
-SET(CMAKE_C_COMPILER /usr/bin/i686-w64-mingw32-gcc)
-SET(CMAKE_CXX_COMPILER /usr/bin/i686-w64-mingw32-g++)
-SET(CMAKE_RC_COMPILER /usr/bin/i686-w64-mingw32-windres)
-
-# here is the target environment located
-# Settings for Ubuntu 12.04.1 LTS
-SET(CMAKE_FIND_ROOT_PATH /usr/i686-w64-mingw32)
-
-# adjust the default behaviour of the FIND_XXX() commands:
-# search headers and libraries in the target environment, search
-# programs in the host environment
-set(CMAKE_FIND_ROOT_PATH_MODE_PROGRAM NEVER)
-set(CMAKE_FIND_ROOT_PATH_MODE_LIBRARY ONLY)
-set(CMAKE_FIND_ROOT_PATH_MODE_INCLUDE ONLY)
-
diff --git a/cmake/Toolchain_s390.cmake b/cmake/Toolchain_s390.cmake
deleted file mode 100644
index e1cdcfff..00000000
--- a/cmake/Toolchain_s390.cmake
+++ /dev/null
@@ -1,20 +0,0 @@
-# http://www.cmake.org/Wiki/CmakeMingw
-# http://www.cmake.org/Wiki/CMake_Cross_Compiling#The_toolchain_file
-# http://wiki.debian.org/EmdebianToolchain#Get_the_binaries
-
-# the name of the target operating system
-SET(CMAKE_SYSTEM_NAME Generic)
-
-# which compilers to use for C and C++
-SET(CMAKE_C_COMPILER /usr/bin/s390-linux-gnu-gcc-4.4)
-
-# here is the target environment located
-SET(CMAKE_FIND_ROOT_PATH /usr/s390-linux-gnu/)
-
-# adjust the default behaviour of the FIND_XXX() commands:
-# search headers and libraries in the target environment, search
-# programs in the host environment
-set(CMAKE_FIND_ROOT_PATH_MODE_PROGRAM NEVER)
-set(CMAKE_FIND_ROOT_PATH_MODE_LIBRARY ONLY)
-set(CMAKE_FIND_ROOT_PATH_MODE_INCLUDE ONLY)
-
diff --git a/cmake/auk.ico b/cmake/auk.ico
deleted file mode 100644
index 795ef1d9..00000000
--- a/cmake/auk.ico
+++ /dev/null
Binary files differ
diff --git a/cmake/basictest b/cmake/basictest
deleted file mode 100755
index 210ed224..00000000
--- a/cmake/basictest
+++ /dev/null
@@ -1,553 +0,0 @@
-#!/bin/sh
-
-# Use this for debugging the test cases.
-# The resulting textual output will not destroy the test cases.
-set -x
-# After test case execution, the output can be found in
-# build/Testing/Temporary/LastTest.log
-
-export PATH=$PATH:/c/MinGW/msys/1.0/bin
-export GAWKEXE=$1
-export TESTCASE=$2
-TOPSRCDIR=$(dirname ${0})/..
-SRCDIR=${TOPSRCDIR}/test
-export AWKPATH=${SRCDIR}
-export AWKLIBPATH=$(dirname ${GAWKEXE})/extension/
-export LANG=C
-# Is this shell running in a native MinGW shell (MSYS) ?
-if test -n "$COMSPEC"; then
- # Ignore all differences in white space.
- COMPARE="diff -w"
- PATH_SEPARATOR="\\"
-else
- # This is a shell running in Unix environment.
- COMPARE="cmp"
- PATH_SEPARATOR="/"
-fi
-
-# This is the central function for executing a standard test case.
-# Many of the more specialized test cases rely on this function.
-function simple_test_case() {
- local options=$1 # options passed to the gawk executable
- local parameters=$2 # parameters passed to the test case script
- cd ${SRCDIR}
- if test -r ${TESTCASE}.in
- # Any existing .in file will be redirected to standard input.
- # The output redirection must be bound to the test script, otherwise
- # the "set -x" logging would mix with the test case output.
- then
- ${pregawk} $GAWKEXE ${options} -f ${TESTCASE}.awk ${parameters} < ${TESTCASE}.in ${postgawk} > _${TESTCASE} 2>&1
- else
- ${pregawk} $GAWKEXE ${options} -f ${TESTCASE}.awk ${parameters} ${postgawk} > _${TESTCASE} 2>&1
- fi || echo EXIT CODE: $? >> _${TESTCASE}
- # Compare the expected (correct) output with the actual output.
- ${COMPARE} ${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
- # If the comparison succeeds then remove the actual output.
- # Else leave the actual output file untouched for later analysis.
-}
-
-# Each test case that cannot be handle in the "standard way" shall
-# be implemented as a function here.
-
-function lintold() { simple_test_case "--lint-old" "" ; }
-function defref() { simple_test_case "--lint" "" ; }
-function fmtspcl() { simple_test_case "--lint" "" ; }
-function lintwarn() { simple_test_case "--lint" "" ; }
-function noeffect() { simple_test_case "--lint" "" ; }
-function nofmtch() { simple_test_case "--lint" "" ; }
-function shadow() { simple_test_case "--lint" "" ; }
-function uninit2() { simple_test_case "--lint" "" ; }
-function uninit3() { simple_test_case "--lint" "" ; }
-function uninit4() { simple_test_case "--lint" "" ; }
-function uninit5() { simple_test_case "--lint" "" ; }
-function uninitialized() { simple_test_case "--lint" "" ; }
-
-function regtest() {
- echo 'Some of the output from regtest is very system specific, do not'
- echo 'be distressed if your output differs from that distributed.'
- echo 'Manual inspection is called for.'
- AWK=$GAWKEXE ${SRCDIR}/regtest.sh
-}
-
-function compare() { simple_test_case "" "0 1" ; }
-
-function inftest() {
- echo This test is very machine specific...
- $GAWKEXE -f ${SRCDIR}/inftest.awk | sed "s/inf/Inf/g" >_${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function getline2() { simple_test_case "" "getline2.awk getline2.awk" ; }
-
-function awkpath() {
- AWKPATH="${SRCDIR}$(PATH_SEPARATOR)/lib" $GAWKEXE -f awkpath.awk >_${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function argtest() { simple_test_case "" "-x -y abc" ; }
-
-function badargs() {
- $GAWKEXE -f 2>&1 | grep -v patchlevel >_${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function nonl() { simple_test_case "--lint" "/dev/null" ; }
-
-function poundbang() {
-# The original poundbang test case looks a bit non-deterministic.
-# This is a shortened version.
- sed "s;/tmp/gawk;$GAWKEXE;" < ${SRCDIR}/poundbang.awk > ./_pbd.awk
- chmod +x ./_pbd.awk
- ./_pbd.awk ${SRCDIR}/poundbang.awk > _`basename ${TESTCASE}` ;
- ${COMPARE} ${SRCDIR}/poundbang.awk _`basename ${TESTCASE}` && rm -f _`basename ${TESTCASE}` _pbd.awk
-}
-
-function messages() {
- $GAWKEXE -f ${SRCDIR}/messages.awk >_out2 2>_out3
- ${COMPARE} ${SRCDIR}/out1.ok _out1 && ${COMPARE} ${SRCDIR}/out2.ok _out2 && ${COMPARE} ${SRCDIR}/out3.ok _out3 && rm -f _out1 _out2 _out3
-}
-
-function argarray() {
- case ${SRCDIR} in
- .) : ;;
- *) cp ${SRCDIR}/argarray.in . ;;
- esac
- TEST=test echo just a test | $GAWKEXE -f ${SRCDIR}/argarray.awk ./argarray.in - >_${TESTCASE}
- case ${SRCDIR} in
- .) : ;;
- *) rm -f ./argarray.in ;;
- esac
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-
-function localenl() {
- ${SRCDIR}/${TESTCASE}.sh >_${TESTCASE} 2>/dev/null
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function mbprintf1() {
- GAWKLOCALE=en_US.UTF-8 ; export GAWKLOCALE
- LANG=en_US.UTF-8
- $GAWKEXE -f ${SRCDIR}/${TESTCASE}.awk ${SRCDIR}/${TESTCASE}.in >_${TESTCASE} 2>&1 || echo EXIT CODE: $? >> _${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function mbfw1() {
- GAWKLOCALE=en_US.UTF-8 ; export GAWKLOCALE
- LANG=en_US.UTF-8
- $GAWKEXE -f ${SRCDIR}/${TESTCASE}.awk ${SRCDIR}/${TESTCASE}.in >_${TESTCASE} 2>&1 || echo EXIT CODE: $? >> _${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function printfbad2() {
- $GAWKEXE --lint -f ${SRCDIR}/${TESTCASE}.awk ${SRCDIR}/${TESTCASE}.in 2>&1 | sed "s;$SRCDIR/;;g" >_${TESTCASE} || echo EXIT CODE: $? >>_${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function beginfile1() {
- AWKPATH=${SRCDIR} $GAWKEXE -f ${TESTCASE}.awk ${SRCDIR}/${TESTCASE}.awk . ./no/such/file Makefile >_${TESTCASE} 2>&1 || echo EXIT CODE: $? >>_${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function beginfile2() {
- # This differs from the original, the pwd part is new.
- # The re-direction is now bound to the .sh file.
- # This way the output of "set -x" is not written to the script's output file.
- ( cd ${SRCDIR} && LC_ALL=C AWK="$GAWKEXE" ${SRCDIR}/${TESTCASE}.sh ${SRCDIR}/${TESTCASE}.in > `pwd`/_${TESTCASE} 2>&1 )
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok ${SRCDIR}/_${TESTCASE} && rm -f ${SRCDIR}/_${TESTCASE}
-}
-
-function dumpvars() {
- AWKPATH=${SRCDIR} $GAWKEXE --dump-variables 1 < ${SRCDIR}/${TESTCASE}.in >/dev/null 2>&1 || echo EXIT CODE: $? >>_${TESTCASE}
- mv awkvars.out _${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function manyfiles() {
- rm -rf junk
- mkdir junk
- $GAWKEXE 'BEGIN { for (i = 1; i <= 1030; i++) print i, i}' >_${TESTCASE}
- $GAWKEXE -f ${SRCDIR}/manyfiles.awk _${TESTCASE} _${TESTCASE}
- wc -l junk/* | $GAWKEXE '$1 != 2' | wc -l | sed "s/ *//g" > _${TESTCASE}
- rm -rf junk
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function exitval1() {
- $GAWKEXE -f ${SRCDIR}/exitval1.awk >_${TESTCASE} 2>&1; echo EXIT CODE: $? >>_${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function fsspcoln() {
- $GAWKEXE -f ${SRCDIR}/${TESTCASE}.awk 'FS=[ :]+' ${SRCDIR}/${TESTCASE}.in >_${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function rsstart2() {
- $GAWKEXE -f ${SRCDIR}/${TESTCASE}.awk ${SRCDIR}/rsstart1.in >_${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function rsstart3() {
- head ${SRCDIR}/rsstart1.in | $GAWKEXE -f ${SRCDIR}/rsstart2.awk >_${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function strftime() {
- echo This test could fail on slow machines or on a minute boundary,
- echo so if it does, double check the actual results:
- GAWKLOCALE=C; export GAWKLOCALE
- TZ=GMT0; export TZ
- (LC_ALL=C date) | $GAWKEXE -v OUTPUT=_${TESTCASE} -f ${SRCDIR}/strftime.awk
- ${COMPARE} strftime.ok _${TESTCASE} && rm -f _${TESTCASE} strftime.ok || exit 0
-}
-
-function inplace1() {
- cp ${SRCDIR}/inplace.1.in _${TESTCASE}.1
- cp ${SRCDIR}/inplace.2.in _${TESTCASE}.2
- AWKPATH=${SRCDIR}/../awklib/eg/lib $GAWKEXE -i inplace 'BEGIN {print "before"} {gsub(/foo/, "bar"); print} END {print "after"}' _${TESTCASE}.1 - _${TESTCASE}.2 < ${SRCDIR}/inplace.in >_${TESTCASE} 2>&1 || echo EXIT CODE: $? >>_${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.1.ok _${TESTCASE}.1 && rm -f _${TESTCASE}.1
- ${COMPARE} ${SRCDIR}/${TESTCASE}.2.ok _${TESTCASE}.2 && rm -f _${TESTCASE}.2
-}
-
-function inplace2() {
- cp ${SRCDIR}/inplace.1.in _${TESTCASE}.1
- cp ${SRCDIR}/inplace.2.in _${TESTCASE}.2
- AWKPATH=${SRCDIR}/../awklib/eg/lib $GAWKEXE -i inplace -v INPLACE_SUFFIX=.bak 'BEGIN {print "before"} {gsub(/foo/, "bar"); print} END {print "after"}' _${TESTCASE}.1 - _${TESTCASE}.2 < ${SRCDIR}/inplace.in >_${TESTCASE} 2>&1 || echo EXIT CODE: $? >>_${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.1.ok _${TESTCASE}.1 && rm -f _${TESTCASE}.1
- ${COMPARE} ${SRCDIR}/${TESTCASE}.1.bak.ok _${TESTCASE}.1.bak && rm -f _${TESTCASE}.1.bak
- ${COMPARE} ${SRCDIR}/${TESTCASE}.2.ok _${TESTCASE}.2 && rm -f _${TESTCASE}.2
- ${COMPARE} ${SRCDIR}/${TESTCASE}.2.bak.ok _${TESTCASE}.2.bak && rm -f _${TESTCASE}.2.bak
-}
-
-function inplace3() {
- cp ${SRCDIR}/inplace.1.in _${TESTCASE}.1
- cp ${SRCDIR}/inplace.2.in _${TESTCASE}.2
- AWKPATH=${SRCDIR}/../awklib/eg/lib $GAWKEXE -i inplace -v INPLACE_SUFFIX=.bak 'BEGIN {print "before"} {gsub(/foo/, "bar"); print} END {print "after"}' _${TESTCASE}.1 - _${TESTCASE}.2 < ${SRCDIR}/inplace.in >_${TESTCASE} 2>&1 || echo EXIT CODE: $? >>_${TESTCASE}
- AWKPATH=${SRCDIR}/../awklib/eg/lib $GAWKEXE -i inplace -v INPLACE_SUFFIX=.bak 'BEGIN {print "Before"} {gsub(/bar/, "foo"); print} END {print "After"}' _${TESTCASE}.1 - _${TESTCASE}.2 < ${SRCDIR}/inplace.in >>_${TESTCASE} 2>&1 || echo EXIT CODE: $? >>_${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.1.ok _${TESTCASE}.1 && rm -f _${TESTCASE}.1
- ${COMPARE} ${SRCDIR}/${TESTCASE}.1.bak.ok _${TESTCASE}.1.bak && rm -f _${TESTCASE}.1.bak
- ${COMPARE} ${SRCDIR}/${TESTCASE}.2.ok _${TESTCASE}.2 && rm -f _${TESTCASE}.2
- ${COMPARE} ${SRCDIR}/${TESTCASE}.2.bak.ok _${TESTCASE}.2.bak && rm -f _${TESTCASE}.2.bak
-}
-
-function testext() {
- $GAWKEXE ' /^(@load|BEGIN)/,/^}/' ${SRCDIR}/../extension/testext.c > testext.awk
- $GAWKEXE -f ${TESTCASE}.awk > ${SRCDIR}/_${TESTCASE} 2>&1 || echo EXIT CODE: $? >> ${SRCDIR}/_${TESTCASE}
- rm -f testext.awk
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok ${SRCDIR}/_${TESTCASE} && rm -f ${SRCDIR}/_${TESTCASE}
-}
-
-function readdir() {
- if [ "`uname`" = Linux ] && [ "`stat -f . 2>/dev/null | awk 'NR == 2 { print $NF }'`" = nfs ]; then
- echo This test may fail on GNU/Linux systems when run on an NFS filesystem.;
- echo If it does, try rerunning on an ext'[234]' filesystem. ;
- fi
- $GAWKEXE -f ${TESTCASE}.awk ${SRCDIR}/.. > ${SRCDIR}/_${TESTCASE} 2>&1
- ls -afli ${TOPSRCDIR} | sed 1d | $GAWKEXE -f ${SRCDIR}/readdir0.awk -v extout=${SRCDIR}/_${TESTCASE} > ${SRCDIR}/${TESTCASE}.ok
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok ${SRCDIR}/_${TESTCASE} && rm -f ${SRCDIR}/_${TESTCASE} ${SRCDIR}/${TESTCASE}.ok
-}
-
-function ordchr2() {
- $GAWKEXE -l ordchr 'BEGIN {print chr(ord("z"))}' >_${TESTCASE} 2>&1 || echo EXIT CODE: $? >>_${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function include2() {
- AWKPATH=${SRCDIR} $GAWKEXE -i inclib 'BEGIN {print sandwich("a", "b", "c")}' >_${TESTCASE} 2>&1 || echo EXIT CODE: $? >>_${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function incdupe() {
- AWKPATH=${SRCDIR} $GAWKEXE --lint -i inclib -i inclib.awk 'BEGIN {print sandwich("a", "b", "c")}' >_${TESTCASE} 2>&1 || echo EXIT CODE: $? >>_${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function incdupe2() {
- AWKPATH=${SRCDIR} $GAWKEXE --lint -f inclib -f inclib.awk >_${TESTCASE} 2>&1 || echo EXIT CODE: $? >>_${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function incdupe3() {
- AWKPATH=${SRCDIR} $GAWKEXE --lint -f hello -f hello.awk >_${TESTCASE} 2>&1 || echo EXIT CODE: $? >>_${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function incdupe4() {
- AWKPATH=${SRCDIR} $GAWKEXE --lint -f hello -i hello.awk >_${TESTCASE} 2>&1 || echo EXIT CODE: $? >>_${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function incdupe5() {
- AWKPATH=${SRCDIR} $GAWKEXE --lint -i hello -f hello.awk >_${TESTCASE} 2>&1 || echo EXIT CODE: $? >>_${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function incdupe6() {
- AWKPATH=${SRCDIR} $GAWKEXE --lint -i inchello -f hello.awk >_${TESTCASE} 2>&1 || echo EXIT CODE: $? >>_${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function incdupe7() {
- AWKPATH=${SRCDIR} $GAWKEXE --lint -f hello -i inchello >_${TESTCASE} 2>&1 || echo EXIT CODE: $? >>_${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-# TODO: The compare operation passes even when there are diffs.
-function readfile() {
- $GAWKEXE -l readfile 'BEGIN {printf "%s", readfile("Makefile")}' >_${TESTCASE} 2>&1 || echo EXIT CODE: $? >>_${TESTCASE}
- ${COMPARE} Makefile _${TESTCASE} && rm -f _${TESTCASE} || cp -p Makefile ${TESTCASE}.ok
-}
-
-function fts() {
- if [ "`uname`" = IRIX ]; then \
- echo This test may fail on IRIX systems when run on an NFS filesystem.; \
- echo If it does, try rerunning on an xfs filesystem. ; \
- fi
- simple_test_case "" ""
-}
-
-function charasbytes() {
- [ -z "$GAWKLOCALE" ] && GAWKLOCALE=en_US.UTF-8; \
- AWKPATH=${SRCDIR} $GAWKEXE -b -v BINMODE=2 -f ${TESTCASE}.awk ${SRCDIR}/${TESTCASE}.in | \
- od -c -t x1 | sed -e 's/ */ /g' -e 's/ *$//' >_${TESTCASE} 2>&1 || echo EXIT CODE: $? >>_${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function symtab6() {
- $GAWKEXE -d__${TESTCASE} -f ${SRCDIR}/${TESTCASE}.awk
- grep -v '^ENVIRON' __${TESTCASE} | grep -v '^PROCINFO' > _${TESTCASE} ; rm __${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function symtab8() {
- $GAWKEXE -d__${TESTCASE} -f ${SRCDIR}/${TESTCASE}.awk ${SRCDIR}/${TESTCASE}.in >_${TESTCASE}
- grep -v '^ENVIRON' __${TESTCASE} | grep -v '^PROCINFO' | grep -v '^FILENAME' >> _${TESTCASE} ; rm __${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function colonwarn() {
- for i in 1 2 3 ; \
- do $GAWKEXE -f ${SRCDIR}/${TESTCASE}.awk $i < ${SRCDIR}/${TESTCASE}.in ; \
- done > _${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function litoct() {
- echo ab | $GAWKEXE --traditional -f ${SRCDIR}/litoct.awk >_${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function devfd() {
- $GAWKEXE 1 /dev/fd/4 /dev/fd/5 4<${SRCDIR}/devfd.in4 5<${SRCDIR}/devfd.in5 >_${TESTCASE} 2>&1 || echo EXIT CODE: $? >> _${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function fflush() {
- ${SRCDIR}/fflush.sh >_${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function mmap8k() {
- $GAWKEXE '{ print }' ${SRCDIR}/mmap8k.in >_${TESTCASE}
- ${COMPARE} ${SRCDIR}/mmap8k.in _${TESTCASE} && rm -f _${TESTCASE} || cp ${SRCDIR}/${TESTCASE}.in ${TESTCASE}.ok
-}
-
-function pid() {
- AWKPATH=${SRCDIR} AWK=$GAWKEXE ${SHELL} ${SRCDIR}/pid.sh $$ > _${TESTCASE} ; :
- ${COMPARE} ${SRCDIR}/pid.ok _`basename ${TESTCASE}` && rm -f _${TESTCASE}
-}
-
-function strftlng() {
- TZ=UTC; export TZ; $GAWKEXE -f ${SRCDIR}/strftlng.awk >_${TESTCASE}
- if ${COMPARE} ${SRCDIR}/strftlng.ok _${TESTCASE} >/dev/null 2>&1 ; then : ; else \
- TZ=UTC0; export TZ; $GAWKEXE -f ${SRCDIR}/strftlng.awk >_${TESTCASE} ; \
- fi
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function nors() {
- echo A B C D E | tr -d '\12\15' | $GAWKEXE '{ print $NF }' - ${SRCDIR}/nors.in > _${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function fmtspcl() {
- $GAWKEXE -v "sd=${SRCDIR}" 'BEGIN {pnan = sprintf("%g",sqrt(-1)); nnan = sprintf("%g",-sqrt(-1)); pinf = sprintf("%g",-log(0)); ninf = sprintf("%g",log(0))} {sub(/positive_nan/,pnan); sub(/negative_nan/,nnan); sub(/positive_infinity/,pinf); sub(/negative_infinity/,ninf); sub(/fmtspcl/,(sd"/fmtspcl")); print}' < ${SRCDIR}/fmtspcl.tok > ${TESTCASE}.ok 2>/dev/null
- $GAWKEXE $AWKFLAGS -f ${SRCDIR}/fmtspcl.awk --lint >_${TESTCASE} 2>&1 || echo EXIT CODE: $? >>_${TESTCASE}
- if test -z "$AWKFLAGS" ; then
- ${COMPARE} ${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
- else
- ${COMPARE} ${SRCDIR}/${TESTCASE}-mpfr.ok _${TESTCASE} && rm -f _${TESTCASE}
- fi
-}
-
-function pipeio2() { simple_test_case "-v SRCDIR=${SRCDIR}" "" ; }
-
-function arynocls() {
- AWKPATH=${SRCDIR} $GAWKEXE -v INPUT=${SRCDIR}/arynocls.in -f arynocls.awk >_${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function inetechu() {
- echo This test is for establishing UDP connections
- $GAWKEXE 'BEGIN {print "" |& "/inet/udp/0/127.0.0.1/9"}'
-}
-
-function inetecht() {
- echo This test is for establishing TCP connections
- $GAWKEXE 'BEGIN {print "" |& "/inet/tcp/0/127.0.0.1/9"}'
-}
-
-function inetdayu() {
- echo This test is for bidirectional UDP transmission
- $GAWKEXE 'BEGIN { print "" |& "/inet/udp/0/127.0.0.1/13"; \
- "/inet/udp/0/127.0.0.1/13" |& getline; print $0}'
-}
-
-function inetdayt() {
- echo This test is for bidirectional TCP transmission
- $GAWKEXE 'BEGIN { print "" |& "/inet/tcp/0/127.0.0.1/13"; \
- "/inet/tcp/0/127.0.0.1/13" |& getline; print $0}'
-}
-
-function redfilnm() { simple_test_case "" "srcdir=${SRCDIR}" ; }
-
-function leaddig() { simple_test_case "-v x=2E" "" ; }
-function longwrds() { simple_test_case "-vSORT=sort" "" ; }
-
-function gsubtst3() {
- $GAWKEXE --re-interval -f ${SRCDIR}/${TESTCASE}.awk ${SRCDIR}/${TESTCASE}.in >_${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function space() {
- $GAWKEXE -f ' ' ${SRCDIR}/space.awk >_${TESTCASE} 2>&1 || echo EXIT CODE: $? >>_${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function rsnulbig() {
- # Suppose that block size for pipe is at most 128kB:
- $GAWKEXE 'BEGIN { for (i = 1; i <= 128*64+1; i++) print "abcdefgh123456\n" }' 2>&1 | \
- $GAWKEXE 'BEGIN { RS = ""; ORS = "\n\n" }; { print }' 2>&1 | \
- $GAWKEXE '/^[^a]/; END{ print NR }' >_${TESTCASE} 2>&1 || echo EXIT CODE: $? >>_${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function rsnulbig2() {
- $GAWKEXE 'BEGIN { ORS = ""; n = "\n"; for (i = 1; i <= 10; i++) n = (n n); \
- for (i = 1; i <= 128; i++) print n; print "abc\n" }' 2>&1 | \
- $GAWKEXE 'BEGIN { RS = ""; ORS = "\n\n" };{ print }' 2>&1 | \
- $GAWKEXE '/^[^a]/; END { print NR }' >_${TESTCASE} 2>&1 || echo EXIT CODE: $? >>_${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function printf0() { simple_test_case "--posix" "" ; }
-
-function profile1() {
- $GAWKEXE --pretty-print=ap-${TESTCASE}.out -f ${SRCDIR}/xref.awk ${SRCDIR}/dtdgport.awk > _${TESTCASE}.out1
- $GAWKEXE -f ap-${TESTCASE}.out ${SRCDIR}/dtdgport.awk > _${TESTCASE}.out2 ; rm ap-${TESTCASE}.out
- ${COMPARE} _${TESTCASE}.out1 _${TESTCASE}.out2 && rm _${TESTCASE}.out[12] || { echo EXIT CODE: $$? >>_${TESTCASE} ; \
- cp $(srcdir)/dtdgport.awk > ${TESTCASE}.ok ; }
-}
-
-function profile2() {
- $GAWKEXE --profile=ap-${TESTCASE}.out -v sortcmd=sort -f ${SRCDIR}/xref.awk ${SRCDIR}/dtdgport.awk > /dev/null
- sed 1,2d < ap-${TESTCASE}.out > _${TESTCASE}; rm ap-${TESTCASE}.out
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function profile3() {
- $GAWKEXE --profile=ap-${TESTCASE}.out -f ${SRCDIR}/${TESTCASE}.awk > /dev/null
- sed 1,2d < ap-${TESTCASE}.out > _${TESTCASE}; rm ap-${TESTCASE}.out
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function profile4() {
- GAWK_NO_PP_RUN=1 $GAWKEXE --profile=ap-${TESTCASE}.out -f ${SRCDIR}/${TESTCASE}.awk > /dev/null
- sed 1,2d < ap-${TESTCASE}.out > _${TESTCASE}; rm ap-${TESTCASE}.out
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function profile5() {
- GAWK_NO_PP_RUN=1 $GAWKEXE --profile=ap-${TESTCASE}.out -f ${SRCDIR}/${TESTCASE}.awk > /dev/null
- sed 1,2d < ap-${TESTCASE}.out > _${TESTCASE}; rm ap-${TESTCASE}.out
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function posix2008sub() {
- $GAWKEXE --posix -f ${SRCDIR}/${TESTCASE}.awk > _${TESTCASE} 2>&1
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function next() {
- LC_ALL=${GAWKLOCALE:-C} LANG=${GAWKLOCALE:-C} AWK="$GAWKEXE" ${SRCDIR}/${TESTCASE}.sh > _${TESTCASE} 2>&1
- LC_ALL=C ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function exit() {
- AWK="$GAWKEXE" ${SRCDIR}/${TESTCASE}.sh > _${TESTCASE} 2>&1
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function mpfrexprange() { simple_test_case "-M -vPREC=53 " "" ; }
-function mpfrrnd() { simple_test_case "-M -vPREC=53 " "" ; }
-function mpfrnr() { simple_test_case "-M -vPREC=113" "" ; }
-function mpfrbigint() { simple_test_case "-M " "" ; }
-
-function jarebug() {
- ${SRCDIR}/${TESTCASE}.sh "$GAWKEXE" "${SRCDIR}/${TESTCASE}.awk" "${SRCDIR}/${TESTCASE}.in" "_${TESTCASE}"
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function rtlen() {
- ${SRCDIR}/${TESTCASE}.sh >_${TESTCASE} || echo EXIT CODE: $? >>_${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function rtlen01() {
- ${SRCDIR}/${TESTCASE}.sh >_${TESTCASE} || echo EXIT CODE: $? >>_${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function rtlenmb() {
- GAWKLOCALE=en_US.UTF-8 ; export GAWKLOCALE
- ${SRCDIR}/rtlen.sh >_${TESTCASE} || echo EXIT CODE: $? >>_${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function nondec2() { simple_test_case "--non-decimal-data -v a=0x1" "" ; }
-
-function nofile() {
- $GAWKEXE '{}' no/such/file >_${TESTCASE} 2>&1 || echo EXIT CODE: $? >>_${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function binmode1() {
- $GAWKEXE -v BINMODE=3 'BEGIN { print BINMODE }' >_${TESTCASE} 2>&1 || echo EXIT CODE: $? >>_${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function devfd1() {
- $GAWKEXE -f ${SRCDIR}/${TESTCASE}.awk 4< ${SRCDIR}/devfd.in1 5< ${SRCDIR}/devfd.in2 >_${TESTCASE} 2>&1 || echo EXIT CODE: $? >>_${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-function devfd2() {
- # The program text is the '1' which will print each record. How compact can you get?
- $GAWKEXE 1 /dev/fd/4 /dev/fd/5 4< ${SRCDIR}/devfd.in1 5< ${SRCDIR}/devfd.in2 >_${TESTCASE} 2>&1 || echo EXIT CODE: $? >>_${TESTCASE}
- ${COMPARE} ${SRCDIR}/${TESTCASE}.ok _${TESTCASE} && rm -f _${TESTCASE}
-}
-
-# Is this test case implemented as a function ?
-if [ "$( type -t $TESTCASE )" = "function" ]
-then
- $TESTCASE
-else
- # If no function exists, then treat the test case in standard way.
- simple_test_case "" ""
-fi
-
diff --git a/cmake/configure b/cmake/configure
deleted file mode 100755
index d375a81c..00000000
--- a/cmake/configure
+++ /dev/null
@@ -1,58 +0,0 @@
-#!/bin/sh
-# On 2013-05-14 Arnold wrote in an e-mail:
-
-# <QUOTE)
-# I think that using CMake would be more palatable if there is also a simple
-# configure wrapper that can be used by people who build distributions. This would
-# mean things like
-#
-# configure CC=XXXX # XXXX in { gcc, clang, tcc } or native platform cc
-# configure --prefix=/path/to/install
-#
-# And the few other current configure options like --with-whiny-user-strftime,
-# --disable-nls, etc. I don't know if we need all the standard configure options,
-# but I do want the ones I've added in configure.ac.
-# </QUOTE)
-
-
-# Anyone using this script still needs an out-of-source build directory.
-if [ -f CMakeLists.txt ] ; then
- echo "Your current working directory contains a file CMakeLists.txt, indicating"
- echo "that this is a source directory. Create a new directory elsewhere, change into"
- echo "this empty directory and try again."
- echo " mkdir build"
- echo " cd build"
- echo " ../$0"
- exit 1
-fi
-
-# TODO: Evaluate all the options and translate the options into CMake variables.
-CC=$( which cc )
-PREFIX=""
-SRCDIR=".."
-WHINY=""
-
-for p in $@
-do
- if [ ${p:0:3} = "CC=" ]; then CC=${p:3}; fi
- if [ ${p:0:9} = "--prefix=" ]; then PREFIX=-DCMAKE_INSTALL_PREFIX=${p:9}; fi
- if [ ${p:0:9} = "--srcdir=" ]; then SRCDIR=${p:9}; fi
- if [ ${p:0:26} = "--with-whiny-user-strftime" ]; then WHINY=-DUSE_INCLUDED_STRFTIME=1; fi
-done
-CC=$( which $CC )
-
-rm -f Toolchain.cmake
-(
- echo "set(CMAKE_C_COMPILER $CC)"
- echo "set(CMAKE_FIND_ROOT_PATH_MODE_PROGRAM NEVER)"
- echo "set(CMAKE_FIND_ROOT_PATH_MODE_LIBRARY ONLY)"
- echo "set(CMAKE_FIND_ROOT_PATH_MODE_INCLUDE ONLY)"
-) > Toolchain.cmake
-
-if ! [ -f ${SRCDIR}/CMakeLists.txt ] ; then
- echo "The source directory (${SRCDIR}) does not contain a file CMakeLists.txt."
- exit 1
-fi
-
-cmake ${PREFIX} ${WHINY} -DCMAKE_TOOLCHAIN_FILE=Toolchain.cmake ${SRCDIR}
-
diff --git a/cmake/configure.cmake b/cmake/configure.cmake
deleted file mode 100644
index 6e18c7c9..00000000
--- a/cmake/configure.cmake
+++ /dev/null
@@ -1,309 +0,0 @@
-#
-# cmake/configure --- CMake input file for gawk
-#
-# Copyright (C) 2013-2014
-# the Free Software Foundation, Inc.
-#
-# This file is part of GAWK, the GNU implementation of the
-# AWK Programming Language.
-#
-# GAWK is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 3 of the License, or
-# (at your option) any later version.
-#
-# GAWK is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA
-#
-
-## process this file with CMake to produce Makefile
-
-option (USE_CONFIG_H "Generate a file config.h for inclusion into C source code" ON)
-if (USE_CONFIG_H)
- file( WRITE config.h "/* all settings defined by CMake. */\n\n" )
- ADD_DEFINITIONS (-D HAVE_CONFIG_H)
- # Configure a header file to pass some of the CMake settings
- # to the source code
- # http://www.cmake.org/cmake/help/v2.8.8/cmake.html#command:configure_file
- # CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.cmake.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h IMMEDIATE )
-else()
- file( WRITE config.h "/* empty file, all settings defined by CMake. */" )
-endif()
-
-include(CheckIncludeFiles)
-include(CheckIncludeFile)
-include(CheckSymbolExists)
-include(CheckFunctionExists)
-include(CheckLibraryExists)
-include(CheckTypeSize)
-include(CheckStructHasMember)
-INCLUDE(CheckCSourceCompiles)
-include(CheckPrototypeDefinition)
-
-MACRO(DefineConfigH feature)
-# message(STATUS feature=${feature}=${${feature}})
- if (${feature})
- if (${USE_CONFIG_H} STREQUAL ON)
- FILE( APPEND config.h "#define ${feature} ${${feature}}\n")
- else()
- #ADD_DEFINITIONS (-D ${feature})
- ADD_DEFINITIONS (-D${feature}=${${feature}})
- endif ()
- endif ()
-ENDMACRO(DefineConfigH)
-
-MACRO(DefineConfigHValue feature value)
- set(${feature} ${value})
- DefineConfigH(${feature})
-ENDMACRO(DefineConfigHValue)
-
-MACRO(DefineFunctionIfAvailable func feature)
- check_function_exists("${func}" "${feature}")
- DefineConfigH(${feature})
-ENDMACRO(DefineFunctionIfAvailable)
-
-MACRO(DefineHFileIfAvailable hfile feature)
- check_include_file("${hfile}" "${feature}")
- DefineConfigH(${feature})
-ENDMACRO(DefineHFileIfAvailable)
-
-MACRO(DefineTypeIfAvailable type feature)
- check_type_size("${type}" "${feature}")
- DefineConfigH(${feature})
-ENDMACRO(DefineTypeIfAvailable)
-
-MACRO(DefineSymbolIfAvailable symbol hfile feature)
- check_symbol_exists("${symbol}" "${hfile}" "${feature}")
- DefineConfigH(${feature})
-ENDMACRO(DefineSymbolIfAvailable)
-
-MACRO(DefineStructHasMemberIfAvailable struct member hfile feature)
- check_struct_has_member("${struct}" "${member}" "${hfile}" "${feature}")
- DefineConfigH(${feature})
-ENDMACRO(DefineStructHasMemberIfAvailable)
-
-MACRO(DefineLibraryIfAvailable lib func location feature)
- check_library_exists("${lib}" "${func}" "${location}" "${feature}")
- DefineConfigH(${feature})
-ENDMACRO(DefineLibraryIfAvailable)
-
-MACRO(DefineIfSourceCompiles source feature)
- check_c_source_compiles( "${source}" "${feature}")
- DefineConfigH(${feature})
-ENDMACRO(DefineIfSourceCompiles)
-
-FILE( READ ${CMAKE_SOURCE_DIR}/configure.ac CONFIG_AUTOMAKE )
-STRING( REGEX MATCH "AC_INIT\\(\\[GNU Awk\\], ([0-9]+\\.[0-9]+\\.[0-9]+)" GAWK_AUTOMAKE_LINE_VERSION "${CONFIG_AUTOMAKE}")
-STRING( REGEX REPLACE ".*([0-9]+)\\.[0-9]+\\.[0-9]+.*" "\\1" GAWK_MAJOR_VERSION "${GAWK_AUTOMAKE_LINE_VERSION}")
-STRING( REGEX REPLACE ".*[0-9]+\\.([0-9]+)\\.[0-9]+.*" "\\1" GAWK_MINOR_VERSION "${GAWK_AUTOMAKE_LINE_VERSION}")
-STRING( REGEX REPLACE ".*[0-9]+\\.[0-9]+\\.([0-9]+).*" "\\1" GAWK_BUGFIX_VERSION "${GAWK_AUTOMAKE_LINE_VERSION}")
-
-# The definition of the symbol GAWK cannot be passed in config.h
-# because the extensions will fail to build.
-add_definitions(-DGAWK)
-add_definitions(-DSTDC_HEADERS)
-# Tell the C compiler to accept C99.
-if (CMAKE_VERSION VERSION_LESS "3.1")
- if (CMAKE_C_COMPILER_ID STREQUAL "GNU")
- set (CMAKE_C_FLAGS "--std=gnu99 ${CMAKE_C_FLAGS}")
- endif ()
-else ()
- set (CMAKE_C_STANDARD 99)
-endif ()
-DefineConfigHValue(_GL_ATTRIBUTE_PURE "__attribute__ ((__pure__))")
-DefineConfigHValue(GAWK_VERSION "${GAWK_MAJOR_VERSION}.${GAWK_MINOR_VERSION}.${GAWK_BUGFIX_VERSION}")
-DefineConfigHValue(VERSION \\"${GAWK_VERSION}\\")
-DefineConfigHValue(PACKAGE \\"gawk\\")
-DefineConfigHValue(PACKAGE_STRING \\"GNU Awk ${GAWK_VERSION}\\")
-DefineConfigHValue(PACKAGE_TARNAME \\"gawk\\")
-DefineConfigHValue(PACKAGE_URL \\"http://www.gnu.org/software/gawk/\\")
-DefineConfigHValue(PACKAGE_VERSION \\"${GAWK_VERSION}\\")
-DefineConfigHValue(DEFPATH \\"${CMAKE_BINARY_DIR}/awk\\")
-DefineConfigHValue(DEFLIBPATH \\"${CMAKE_BINARY_DIR}/lib\\")
-if (CMAKE_DL_LIBS)
- message(STATUS "Found CMAKE_DL_LIBS:${CMAKE_DL_LIBS}")
-else()
- message(STATUS "Found no CMAKE_DL_LIBS")
-endif()
-if (CMAKE_SHARED_LIBRARY_SUFFIX)
- DefineConfigHValue(DYNAMIC 1)
- STRING( REGEX REPLACE "^(\\.)([a-zA-Z0-9])" "\\2" SHLIBEXT "${CMAKE_SHARED_LIBRARY_SUFFIX}")
- DefineConfigHValue(SHLIBEXT \\"${SHLIBEXT}\\")
- message(STATUS "Found SHLIBEXT: ${SHLIBEXT}")
-else()
- message(STATUS "Found no SHLIBEXT")
-endif()
-DefineTypeIfAvailable("unsigned int" SIZEOF_UNSIGNED_INT)
-DefineTypeIfAvailable("unsigned long" SIZEOF_UNSIGNED_LONG)
-#/* Define to 1 if *printf supports %F format */
-add_definitions(-D PRINTF_HAS_F_FORMAT)
-#/* Define as the return type of signal handlers (`int' or `void'). */
-add_definitions(-D RETSIGTYPE=void)
-#add_definitions(-D PIPES_SIMULATED)
-check_prototype_definition(getpgrp "pid_t getpgrp(void)" "NULL" "unistd.h" GETPGRP_VOID)
-DefineConfigH(GETPGRP_VOID)
-#add_definitions(-D YYPARSE_PARAM)
-
-DefineFunctionIfAvailable(snprintf HAVE_SNPRINTF)
-DefineFunctionIfAvailable(vprintf HAVE_VPRINTF)
-DefineHFileIfAvailable(sys/types.h HAVE_SYS_TYPES_H)
-DefineHFileIfAvailable(sys/stat.h HAVE_SYS_STAT_H)
-DefineHFileIfAvailable(string.h HAVE_STRING_H)
-DefineHFileIfAvailable(memory.h HAVE_MEMORY_H)
-DefineHFileIfAvailable(strings.h HAVE_STRINGS_H)
-DefineHFileIfAvailable(stdint.h HAVE_STDINT_H)
-DefineHFileIfAvailable(inttypes.h HAVE_INTTYPES_H)
-DefineHFileIfAvailable(stdlib.h HAVE_STDLIB_H)
-DefineHFileIfAvailable(unistd.h HAVE_UNISTD_H)
-FIND_PATH(INTL_INCLUDE_DIR libintl.h PATHS /usr/include /usr/local/include)
-FIND_LIBRARY(INTL_LIBRARIES intl c PATHS /usr/lib/ /usr/local/lib)
-DefineSymbolIfAvailable("CODESET" "langinfo.h" HAVE_LANGINFO_CODESET)
-DefineSymbolIfAvailable("LC_MESSAGES" "locale.h" HAVE_LC_MESSAGES)
-DefineTypeIfAvailable("_Bool" HAVE__BOOL)
-if (${HAVE_GETTEXT} AND ${HAVE_DCGETTEXT} AND ${HAVE_LANGINFO_CODESET} AND ${HAVE_LC_MESSAGES})
- add_definitions(-D LOCALEDIR=\\"/usr/share/locale\\")
- add_definitions(-D ENABLE_NLS)
- ADD_SUBDIRECTORY( ${CMAKE_SOURCE_DIR}/po )
-endif()
-DefineHFileIfAvailable(stdbool.h HAVE_STDBOOL_H)
-DefineHFileIfAvailable(sys/wait.h HAVE_SYS_WAIT_H)
-DefineHFileIfAvailable(arpa/inet.h HAVE_ARPA_INET_H)
-DefineHFileIfAvailable(fcntl.h HAVE_FCNTL_H)
-DefineHFileIfAvailable(limits.h HAVE_LIMITS_H)
-DefineHFileIfAvailable(locale.h HAVE_LOCALE_H)
-DefineHFileIfAvailable(libintl.h HAVE_LIBINTL_H)
-DefineHFileIfAvailable(mcheck.h HAVE_MCHECK_H)
-DefineHFileIfAvailable(netdb.h HAVE_NETDB_H)
-DefineHFileIfAvailable(netinet/in.h HAVE_NETINET_IN_H)
-DefineHFileIfAvailable(stdarg.h HAVE_STDARG_H)
-DefineHFileIfAvailable(stddef.h HAVE_STDDEF_H)
-DefineHFileIfAvailable(sys/ioctl.h HAVE_SYS_IOCTL_H)
-DefineHFileIfAvailable(sys/param.h HAVE_SYS_PARAM_H)
-DefineHFileIfAvailable(sys/socket.h HAVE_SYS_SOCKET_H)
-DefineHFileIfAvailable(sys/termios.h HAVE_TERMIOS_H)
-DefineHFileIfAvailable(stropts.h HAVE_STROPTS_H)
-DefineHFileIfAvailable(wchar.h HAVE_WCHAR_H)
-DefineHFileIfAvailable(wctype.h HAVE_WCTYPE_H)
-DefineTypeIfAvailable("long long int" HAVE_LONG_LONG_INT)
-DefineTypeIfAvailable("unsigned long long int" HAVE_UNSIGNED_LONG_LONG_INT)
-DefineTypeIfAvailable(intmax_t INTMAX_T)
-DefineTypeIfAvailable(uintmax_t UINTMAX_T)
-DefineTypeIfAvailable("time_t" TIME_T_IN_SYS_TYPES_H)
-SET(CMAKE_EXTRA_INCLUDE_FILES wctype.h)
-DefineTypeIfAvailable("wctype_t" HAVE_WCTYPE_T)
-DefineTypeIfAvailable("wint_t" HAVE_WINT_T)
-SET(CMAKE_EXTRA_INCLUDE_FILES)
-
-DefineStructHasMemberIfAvailable("struct sockaddr_storage" ss_family sys/socket.h HAVE_SOCKADDR_STORAGE)
-DefineStructHasMemberIfAvailable("struct stat" st_blksize sys/stat.h HAVE_STRUCT_STAT_ST_BLKSIZE)
-DefineStructHasMemberIfAvailable("struct stat" st_blksize sys/stat.h HAVE_ST_BLKSIZE)
-DefineStructHasMemberIfAvailable("struct tm" tm_zone time.h HAVE_TM_ZONE)
-DefineStructHasMemberIfAvailable("struct tm" tm_zone time.h HAVE_STRUCT_TM_TM_ZONE)
-
-DefineHFileIfAvailable(sys/time.h HAVE_SYS_TIME_H)
-DefineFunctionIfAvailable(alarm HAVE_ALARM)
-DefineFunctionIfAvailable(tzname HAVE_DECL_TZNAME)
-DefineFunctionIfAvailable(mktime HAVE_MKTIME)
-DefineFunctionIfAvailable(getaddrinfo HAVE_GETADDRINFO)
-DefineFunctionIfAvailable(atexit HAVE_ATEXIT)
-DefineFunctionIfAvailable(btowc HAVE_BTOWC)
-DefineFunctionIfAvailable(fmod HAVE_FMOD)
-DefineFunctionIfAvailable(isinf HAVE_ISINF)
-DefineFunctionIfAvailable(ismod HAVE_ISMOD)
-DefineFunctionIfAvailable(getgrent HAVE_GETGRENT)
-DefineSymbolIfAvailable("getgroups" "unistd.h" HAVE_GETGROUPS)
-if (${HAVE_GETGROUPS})
- check_prototype_definition(getgroups "int getgroups(int size, gid_t list[])" "NULL" "unistd.h" GETGROUPS_T)
- if (${GETGROUPS_T})
- DefineConfigHValue(GETGROUPS_T gid_t)
- else()
- DefineConfigHValue(GETGROUPS_T int)
- endif()
-endif()
-
-DefineTypeIfAvailable("pid_t" PID_T)
-DefineTypeIfAvailable("intmax_t" HAVE_INTMAX_T)
-DefineFunctionIfAvailable(grantpt HAVE_GRANTPT)
-DefineFunctionIfAvailable(isascii HAVE_ISASCII)
-DefineFunctionIfAvailable(iswctype HAVE_ISWCTYPE)
-DefineFunctionIfAvailable(iswlower HAVE_ISWLOWER)
-DefineFunctionIfAvailable(iswupper HAVE_ISWUPPER)
-DefineFunctionIfAvailable(mbrlen HAVE_MBRLEN)
-DefineFunctionIfAvailable(memcmp HAVE_MEMCMP)
-DefineFunctionIfAvailable(memcpy HAVE_MEMCPY)
-DefineFunctionIfAvailable(memmove HAVE_MEMMOVE)
-DefineFunctionIfAvailable(memset HAVE_MEMSET)
-DefineFunctionIfAvailable(mkstemp HAVE_MKSTEMP)
-DefineFunctionIfAvailable(posix_openpt HAVE_POSIX_OPENPT)
-DefineFunctionIfAvailable(setenv HAVE_SETENV)
-DefineFunctionIfAvailable(setlocale HAVE_SETLOCALE)
-DefineFunctionIfAvailable(setsid HAVE_SETSID)
-DefineFunctionIfAvailable(strchr HAVE_STRCHR)
-DefineFunctionIfAvailable(strerror HAVE_STRERROR)
-DefineFunctionIfAvailable(strftime HAVE_STRFTIME)
-DefineFunctionIfAvailable(strncasecmp HAVE_STRNCASECMP)
-DefineFunctionIfAvailable(strcoll HAVE_STRCOLL)
-DefineFunctionIfAvailable(strtod HAVE_STRTOD)
-DefineFunctionIfAvailable(strtoul HAVE_STRTOUL)
-DefineFunctionIfAvailable(system HAVE_SYSTEM)
-DefineFunctionIfAvailable(tmpfile HAVE_TMPFILE)
-DefineFunctionIfAvailable(towlower HAVE_TOWLOWER)
-DefineFunctionIfAvailable(towupper HAVE_TOWUPPER)
-DefineFunctionIfAvailable(tzset HAVE_TZSET)
-DefineFunctionIfAvailable(usleep HAVE_USLEEP)
-DefineFunctionIfAvailable(wcrtomb HAVE_WCRTOMB)
-DefineFunctionIfAvailable(wcscoll HAVE_WCSCOLL)
-DefineFunctionIfAvailable(wctype HAVE_WCTYPE)
-DefineFunctionIfAvailable(mbrtowc HAVE_MBRTOWC)
-
-add_definitions(-D HAVE_STRINGIZE)
-add_definitions(-D _Noreturn=)
-
-find_package(BISON QUIET)
-# If there is a bison installed on this platform,
-if (${BISON_FOUND} STREQUAL "TRUE")
- # then let bison generate awkgram.c.
- BISON_TARGET(awkgram awkgram.y ${CMAKE_SOURCE_DIR}/awkgram.c)
-else()
- # otherwise use the existing awkgram.c.
- set(BISON_awkgram_OUTPUTS ${CMAKE_SOURCE_DIR}/awkgram.c)
-endif()
-
-find_package(Gettext REQUIRED)
-if (GETTEXT_FOUND STREQUAL "TRUE")
- include_directories(${GETTEXT_INCLUDE_DIR})
- DefineFunctionIfAvailable(gettext HAVE_GETTEXT)
- DefineFunctionIfAvailable(dcgettext HAVE_DCGETTEXT)
-else ()
- message( FATAL_ERROR "Gettext not found" )
-endif()
-
-find_package(LATEX)
-include(GNUInstallDirs)
-include(GetPrerequisites)
-
-# For some unknown reason the defines for the extensions
-# are written into config.h only if they are implemented
-# here and not in extension/CMakeLists.txt.
-DefineLibraryIfAvailable(m sin "" HAVE_LIBM)
-DefineLibraryIfAvailable(mpfr mpfr_add_si "" HAVE_MPFR)
-DefineLibraryIfAvailable(c socket "" HAVE_SOCKETS)
-DefineLibraryIfAvailable(readline readline "" HAVE_LIBREADLINE)
-DefineFunctionIfAvailable(fnmatch HAVE_FNMATCH)
-DefineHFileIfAvailable(fnmatch.h HAVE_FNMATCH_H)
-DefineHFileIfAvailable(dirent.h HAVE_DIRENT_H)
-DefineFunctionIfAvailable(dirfd HAVE_DIRFD)
-DefineFunctionIfAvailable(getdtablesize HAVE_GETDTABLESIZE)
-DefineFunctionIfAvailable(select HAVE_SELECT)
-DefineFunctionIfAvailable(gettimeofday HAVE_GETTIMEOFDAY)
-DefineHFileIfAvailable(sys/select.h HAVE_SYS_SELECT_H)
-DefineFunctionIfAvailable(nanosleep HAVE_NANOSLEEP)
-DefineHFileIfAvailable(time.h HAVE_TIME_H)
-DefineFunctionIfAvailable(GetSystemTimeAsFileTime HAVE_GETSYSTEMTIMEASFILETIME)
-
diff --git a/cmake/docmaker b/cmake/docmaker
deleted file mode 100755
index 4af7cee1..00000000
--- a/cmake/docmaker
+++ /dev/null
@@ -1,100 +0,0 @@
-#!/bin/sh
-
-# The first parameter is the target, the file to be built.
-# All remaining parameters are dependencies (file names).
-if [ $# -lt 1 ] ; then
- echo " $0: Incorrect number ($#) of parameters passed: $*"
- exit 1
-fi
-OUTFILE=$1
-shift 1
-INFILES="$@"
-
-MAKEINFO="makeinfo --no-split --force"
-TROFF="groff -t -Tps -U"
-SEDME="sed -e \"s/^level0 restore/level0 restore flashme 100 72 moveto (Copyright `date '+%m-%d-%y %T'`, FSF, Inc. (all)) show/\" -e \"s/^\/level0 save def/\/level0 save def 30 -48 translate/\""
-SEDME2="sed '/%%Page: 10 10/,/0 Cg EP/d'"
-
-function BuildTarget()
-{
- local OUTFILE=$1
- local INFILE=""
- local COMMAND=""
-
- FILEBASE=${OUTFILE%.*}
- case $OUTFILE in
- *\.in | *\.1 | macros | cardfonts | colors | ad.block | setter.outline | \
- gawkinet.texi | rflashlight.eps | api-figure1.fig | api-figure2.fig | api-figure3.fig | \
- general-program.fig | process-flow.fig | statist.eps)
- INFILE=$OUTFILE
- ;;
- *\.texi)
- if [ $FILEBASE = gawk ] ; then
- INFILE=gawktexi.in
- else
- INFILE=$OUTFILE.in
- fi
- COMMAND="awk -f sidebar.awk < $INFILE > $OUTFILE"
- ;;
- *\.dvi)
- INFILE=$FILEBASE.texi
- COMMAND="texi2dvi -q --clean $INFILE"
- ;;
- *\.info)
- INFILE=$FILEBASE.texi
- COMMAND="${MAKEINFO} $INFILE"
- ;;
- *\.ps)
- if [ $FILEBASE = awkcard ] ; then
- INFILE=awkcard.in
- COMMAND="${TROFF} $* | ${SEDME} | cat setter.outline - | ${SEDME2} > awkcard.ps"
- elif [ $FILEBASE = gawk.1 -o $FILEBASE = igawk.1 ] ; then
- INFILE=$FILEBASE
- COMMAND="groff -z -man $INFILE > $OUTFILE"
- else
- INFILE=$FILEBASE.dvi
- COMMAND="dvips -q -o $OUTFILE $INFILE"
- fi
- ;;
- *\.pdf)
- INFILE=$FILEBASE.ps
- COMMAND="ps2pdf -q $INFILE $OUTFILE"
- ;;
- *\.tr)
- INFILE=$FILEBASE.in
- COMMAND="sed 's:SRCDIR:.:' < $INFILE > $OUTFILE"
- ;;
- *\.nc)
- INFILE=$FILEBASE.in
- COMMAND="sed 's:SRCDIR:.:' < $INFILE > $OUTFILE"
- COMMAND="${TROFF} $* | ${SEDME} | cat setter.outline - | ${SEDME2} > $FILEBASE.ps && touch $OUTFILE"
- ;;
- *)
- echo " unknwon target $OUTFILE"
- exit 1
- esac
-
- if [ ! -r "$INFILE" ] ; then
- echo " $0: Cannot read input file $INFILE"
- exit 1
- fi
-
- if [ -f "$OUTFILE" ] ; then
- if [ "$INFILE" -ot "$OUTFILE" ] ; then
- #printf " Target %15s is up-to-date\n" $OUTFILE
- COMMAND=""
- fi
- fi
- #echo " Generating $OUTFILE from $INFILE"
- echo $COMMAND | sh -x
- #echo "COMMAND=$COMMAND"
-}
-
-# Build all dependencies first, then build the target.
-for dep in $INFILES
-do
- #echo $OUTFILE depends on $dep
- BuildTarget $dep
-done
-BuildTarget $OUTFILE
-
diff --git a/cmake/package.cmake b/cmake/package.cmake
deleted file mode 100644
index f1127797..00000000
--- a/cmake/package.cmake
+++ /dev/null
@@ -1,71 +0,0 @@
-#
-# cmake/package --- CMake input file for gawk
-#
-# Copyright (C) 2013-2014
-# the Free Software Foundation, Inc.
-#
-# This file is part of GAWK, the GNU implementation of the
-# AWK Programming Language.
-#
-# GAWK is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 3 of the License, or
-# (at your option) any later version.
-#
-# GAWK is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA
-#
-
-## process this file with CMake to produce Makefile
-
-SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "This is GNU Awk ${GAWK_VERSION}")
-set(CPACK_PACKAGE_VENDOR "GNU Project - Free Software Foundation (FSF)")
-SET(CPACK_PACKAGE_NAME "gawk")
-SET(CPACK_PACKAGE_VERSION "${GAWK_VERSION}")
-SET(CPACK_PACKAGE_VERSION_MAJOR "${GAWK_MAJOR_VERSION}")
-SET(CPACK_PACKAGE_VERSION_MINOR "${GAWK_MINOR_VERSION}")
-SET(CPACK_PACKAGE_VERSION_PATCH "${GAWK_BUGFIX_VERSION}")
-SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING")
-SET(CPACK_RESOURCE_FILE_README "${CMAKE_SOURCE_DIR}/README")
-set(CPACK_PACKAGE_CONTACT "bug-gawk@gnu.org")
-
-IF (WIN32)
- SET(CPACK_GENERATOR "NSIS")
- set(CPACK_NSIS_INSTALL_ROOT "C:")
- set(CPACK_NSIS_MENU_LINKS "http://www.gnu.org/software/gawk" "GNU Awk")
- set(CPACK_NSIS_MUI_ICON "${CMAKE_SOURCE_DIR}/cmake/auk.ico")
- set(CPACK_NSIS_MUI_UNIICON "${CMAKE_SOURCE_DIR}/cmake/auk.ico")
- set(CPACK_NSIS_MODIFY_PATH true)
- set(CPACK_NSIS_CONTACT "bug-gawk@gnu.org")
- set(CPACK_NSIS_DISPLAY_NAME "GNU Awk")
- include(CPack)
-ELSE()
- set(CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}_${CPACK_PACKAGE_VERSION}_${CMAKE_SYSTEM_PROCESSOR}")
- set(CPACK_PACKAGING_INSTALL_PREFIX /usr)
- if (CPACK_GENERATOR STREQUAL "TGZ")
- include(CPack)
- elseif (CPACK_GENERATOR STREQUAL "RPM")
- include(CPack)
- elseif (CPACK_GENERATOR STREQUAL "DEB")
- set(CPACK_DEBIAN_PACKAGE_MAINTAINER "${CPACK_PACKAGE_VENDOR} <${CPACK_PACKAGE_CONTACT}>")
- set(CPACK_DEBIAN_PACKAGE_SECTION "interpreters")
- set(CPACK_DEBIAN_PACKAGE_PRIORITY "optional")
- set(CPACK_DEBIAN_ARCHITECTURE ${CMAKE_SYSTEM_PROCESSOR})
- set(CPACK_DEBIAN_PACKAGE_HOMEPAGE "http://www.gnu.org/software/gawk")
- set(CPACK_DEBIAN_PACKAGE_SHLIBDEPS ON)
- set(CPACK_DEBIAN_PACKAGE_DEPENDS "libc6 (>= 2.3.1-6), libgcc1 (>= 1:3.4.2-12)")
- include(CPack)
- else()
- # No package format selected. Don't create the "package" target.
- endif()
- if (CPACK_GENERATOR)
- message(STATUS "CPACK_GENERATOR set to ${CPACK_GENERATOR}")
- endif()
-ENDIF()
-